# gdcm::SimpleSubjectWatcher Class Reference

`#include <gdcmSimpleSubjectWatcher.h>`

Collaboration diagram for gdcm::SimpleSubjectWatcher:
[legend]

List of all members.

## Public Member Functions
| SimpleSubjectWatcher (Subject *s, const char *comment="")
| ~SimpleSubjectWatcher ()
## Protected Member Functions
virtual void | EndFilter ()
virtual void | ShowAbort ()
virtual void | ShowAnonymization (Subject *caller, const Event &evt)
virtual void | ShowIteration ()
virtual void | ShowProgress ()
virtual void | StartFilter ()
void | TestAbortOff ()
void | TestAbortOn ()

## Constructor & Destructor Documentation

gdcm::SimpleSubjectWatcher::SimpleSubjectWatcher | ( | Subject * | s,
|  | const char * | comment = `""` |
| ) |  |  |

gdcm::SimpleSubjectWatcher::~SimpleSubjectWatcher | ( |  | ) |

## Member Function Documentation

virtual void gdcm::SimpleSubjectWatcher::EndFilter | ( |  | ) | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowAbort | ( |  | ) | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowAnonymization | ( | Subject * | caller,
|  | const Event & | evt |
| ) |  |  | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowIteration | ( |  | ) | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::ShowProgress | ( |  | ) | `[protected, virtual]`

virtual void gdcm::SimpleSubjectWatcher::StartFilter | ( |  | ) | `[protected, virtual]`

void gdcm::SimpleSubjectWatcher::TestAbortOff | ( |  | ) | `[protected]`

void gdcm::SimpleSubjectWatcher::TestAbortOn | ( |  | ) | `[protected]`

The documentation for this class was generated from the following file:

- gdcmSimpleSubjectWatcher.h